#ifndef WEBVIEWQT_H
#define WEBVIEWQT_H

#include <QWebEngineView>
#include <QTimer>

class WebviewWindow;

class WebViewQt : public QWebEngineView
{
    Q_OBJECT
private:
    int            _id;
    WebviewWindow *_window;

public:
    int id() const;
    WebviewWindow *wvWin();

signals:
    void pageLoaded(WebViewQt *, bool ok);


public:
    WebViewQt(int id, WebviewWindow *window);
};

#endif // WEBVIEWQT_H
